
Redmine - Defect #13472

darcs / subversion tests fail

2013-03-14 04:55 - Anonymous

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

so i get this every time

$ rake ci

 
Finished tests in 852.267054s, 2.0440 tests/s, 15.7897 assertions/s.

  1) Failure:

test_revisions(DarcsAdapterTest) [/home/daniel/Workspace/redmine/test/unit/lib/redmine/scm/adapter

s/darcs_adapter_test.rb:42]:

<"20080308225258-98289-761f654d669045eabee90b91b53a21ce5593cadf.gz"> expected but was

<"20080308225258-98289-761f654d669045eabee90b91b53a21ce5593cadf">.

  2) Failure:

test_cat(RepositoryDarcsTest) [/home/daniel/Workspace/redmine/test/unit/repository_darcs_test.rb:1

22]:

Failed assertion, no message given.

  3) Error:

test_deleted_files_should_not_be_listed(RepositoryDarcsTest):

NoMethodError: undefined method `detect' for nil:NilClass

    /home/daniel/Workspace/redmine/test/unit/repository_darcs_test.rb:110:in `test_deleted_files_s

hould_not_be_listed'

    /home/daniel/.rvm/gems/ruby-1.9.3-p392@redmine/gems/mocha-0.10.5/lib/mocha/integration/mini_te

st/version_230_to_262.rb:28:in `run'

  4) Failure:

test_entries(RepositoryDarcsTest) [/home/daniel/Workspace/redmine/test/unit/repository_darcs_test.

rb:93]:

Expected nil to be a kind of Redmine::Scm::Adapters::Entries, not NilClass.

  5) Failure:

test_fetch_changesets_from_scratch(RepositoryDarcsTest) [/home/daniel/Workspace/redmine/test/unit/

repository_darcs_test.rb:71]:

<13> expected but was

<0>.

1742 tests, 13457 assertions, 4 failures, 1 errors, 0 skips

 
Finished tests in 604.026156s, 2.0098 tests/s, 9.2761 assertions/s.

  1) Failure:

test_browse_at_given_revision(RepositoriesDarcsControllerTest) [/home/daniel/Workspace/redmine/tes

t/functional/repositories_darcs_controller_test.rb:90]:

Expected response to be a <:success>, but was <404>

  2) Failure:

test_browse_directory(RepositoriesDarcsControllerTest) [/home/daniel/Workspace/redmine/test/functi

onal/repositories_darcs_controller_test.rb:73]:

Expected response to be a <:success>, but was <404>

  3) Failure:
test_browse_root(RepositoriesDarcsControllerTest) [/home/daniel/Workspace/redmine/test/functional/

repositories_darcs_controller_test.rb:58]:

Expected response to be a <:success>, but was <404>

  4) Failure:

test_changes(RepositoriesDarcsControllerTest) [/home/daniel/Workspace/redmine/test/functional/repo

sitories_darcs_controller_test.rb:103]:

Expected response to be a <:success>, but was <404>

  5) Failure:

test_diff(RepositoriesDarcsControllerTest) [/home/daniel/Workspace/redmine/test/functional/reposit

ories_darcs_controller_test.rb:116]:

Expected response to be a <:success>, but was <404>

  6) Failure:

test_revision_diff_raw_format(RepositoriesSubversionControllerTest) [/home/daniel/Workspace/redmin

e/test/functional/repositories_subversion_controller_test.rb:332]:

<"Index: subversion_test/textfile.txt"> expected but was

<"Index: subversion_test/helloworld.rb">.

1214 tests, 5603 assertions, 6 failures, 0 errors, 0 skips

 
daniel@daniel-pc ~  $ svn --version

svn, version 1.7.5 (r1336830)

   compiled Sep 28 2012, 11:22:04

Copyright (C) 2012 The Apache Software Foundation.

This software consists of contributions made by many people; see the NOTICE

file for more information.

Subversion is open source software, see http://subversion.apache.org/

The following repository access (RA) modules are available:

* ra_neon : Module for accessing a repository via WebDAV protocol using Neon.

  - handles 'http' scheme

  - handles 'https' scheme

* ra_svn : Module for accessing a repository using the svn network protocol.

  - with Cyrus SASL authentication

  - handles 'svn' scheme

* ra_local : Module for accessing a repository on local disk.

  - handles 'file' scheme

* ra_serf : Module for accessing a repository via WebDAV protocol using serf.

  - handles 'http' scheme

  - handles 'https' scheme

 
daniel@daniel-pc ~  $ darcs -v

2.8.1 (release)

Related issues:

Related to Redmine - Patch #26391: Drop Darcs SCM support Closed

History

#1 - 2013-03-14 08:36 - Toshi MARUYAMA

FYI:

Darcs repository adapter doesn't work with newer versions (~2.5) of Darcs

https://www.chiliproject.org/issues/1142

#2 - 2017-07-10 05:52 - Toshi MARUYAMA

- Related to Patch #26391: Drop Darcs SCM support added

#3 - 2017-07-26 02:19 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

Darcs SCM support has been dropped by #26391 for upcoming Redmine 4.0.0.
https://www.chiliproject.org/issues/1142
https://www.redmine.org/issues/26391


Now rake ci runs without any errors.
